define([
    "dojo/_base/declare",
    "dojo/_base/lang",
    "thornberry/serverRequest",
    "dojo/Deferred"
],function(
    declare,
    lang,
    serverRequest,
    Deferred
) {
    var CACHE_CLASS = "Billing.NOE.Service";

    var NoeNotrService = declare(null,{
        getStatusTable: function(type) {
            return serverRequest(CACHE_CLASS,"GetStatusTable",type);
        },
        getStatus: function(type,policyId) {
            return serverRequest(CACHE_CLASS,"GetStatus",{
                type: type,
                policyId: policyId
            });
        },
        saveStatus: function(data) {
            return serverRequest(CACHE_CLASS,"SaveStatus",data);
        },
        getResponse: function(id) {
            return serverRequest(CACHE_CLASS,"GetResponse",id);
        },
        getResponses: function(type,policyIds) {
            return serverRequest(CACHE_CLASS,"GetResponses",{
                type: type,
                policyIds: policyIds
            });
        },
        processResponses: function(type,responseIds,rejectedIds) {
            return serverRequest(CACHE_CLASS,"ProcessResponses",{
                type: type,
                responseIds:responseIds,
                rejectedIds:rejectedIds
            });
        },
        print: function(type,policyId) {
            return serverRequest(CACHE_CLASS,"PrintSavedX12",{
                type: type,
                policyId: policyId
            });
        },
    },true);
    return new NoeNotrService(); // Singleton
});